import React from 'react'
import Grid from '@material-ui/core/Grid';
import Link from 'next/link';
import config from "../../config/config";
import Image from 'next/image';
import styles from './Componentstyle/Categorycard.module.css'

export default function Categorypagecard(props) {
	
  return (
	
    <>
      
        <Grid item  md={3} xs={6} sm={6} className={styles.similarpro_btm}>
              <div className={`${styles.pcard} pcard`}>
                <Link  href={`${config.callBackUrl}p/${props.productSlug}`}><a>
					{(props.ProductBestSeller == 1) ? 
						<p className = {`${styles.tagcommon} ${styles.bestsellertag}`}>Best seller</p>
						:
						(props.ProductNewArrival == 1) ?
						<p className = {`${styles.tagcommon} ${styles.newarrivaltag}`}>New Arrival</p>
						:
						(props.ProductOnSale == 1) ?
						<p className = {`${styles.tagcommon} ${styles.onsaletag}`}>On Sale</p>
						:
						''
					}
					
					
					<Image src={props.productImage} width="428" height="428"  title={props.title} alt={props.ImgAlt} />
					<div className = {styles.tagcontainer}>
							 {(props.ProductSameDayDel == 1) ?
								<p className = {`${styles.tagcommon} ${styles.samedaytag}`}>Same day delivery</p>
								:
								(props.TwoDayDelivery == 1) ?
								<p className = {`${styles.tagcommon} ${styles.samedaytag}`}>2 day delivery</p>
								:
								(props.ThreeHourDelivery == 1) ?
								<p className = {`${styles.tagcommon} ${styles.threehourstag}`}>3 hour day delivery</p>
								:
								(props.NextDayDelivery == 1) ?
								<p className = {`${styles.tagcommon} ${styles.nextdaytag}`}>Next day delivery</p>
								:
								''
							}
							{(props.PremiumDelivery == 1) ?
								<p className = {`${styles.tagcommon} ${styles.premiumtag}`} >Premium delivery</p>
								:
								(props.ProductPersonalised == 1) ?
								<p className = {`${styles.tagcommon} ${styles.premiumtag}`} >Personalised</p>
								:
								''
							}
							</div>
				</a></Link >
                <Link href={`${config.callBackUrl}p/${props.productSlug}`}><a className={styles.pcard_text}>{props.productName}</a></Link >
					{(props.productSaleprice > 0 &&  (props.productSaleprice !=  props.productPrice) ) ?
						<>
							 <div className={`${styles.p_price} p-price`}>
								<h5 className={`${styles.current_price} current-price`}><span>{props.CurrencySymbol}</span>{props.productSaleprice}</h5>
								<h5 className={`${styles.old_price} old-price`}><span>{props.CurrencySymbol}</span>{props.productPrice}</h5>
							 </div>
						</>
						:
						<>
							<div className={`${styles.p_price} p-price`}>
								<h5 className={`${styles.current_price} current-price`}><span>{props.CurrencySymbol}</span>{props.productPrice}</h5>
							 </div>
							 
						</>
					}
                </div>
                 
           
          </Grid>

       {/* </Grid>   */}


    </>
  )
}
