import React, { useState, useEffect, AwesomeSlider } from 'react';
import Link from 'next/link';
import { PhoneOutlined, ArrowDropDownOutlined, Menu, Person, AccountCircle } from '@material-ui/icons';
import Image from 'next/image'
import styles from '../../components/Navbar/navbarstyle/navbar.module.css'
import config from '../../config/config';
export default function CanadaNavbar() {

   return (
      <>
         <ul className={styles.menu_ul}>

            <li className={styles.indianavdrop}><Link href={`${config.callBackUrl}`} className='menudropdown'><a>Valentine Day<span><ArrowDropDownOutlined width="13" className='downico' /></span></a></Link >

               <div className={`${styles.sub_navmenubar} ${styles.ind1}`}>

                  <section>
                     <p className={styles.bolder}>Valentine Day Gifts</p>
                     <ul>
                        <li>
                           <Link href={`${config.callBackUrl}valentines-day-gifts`}><a>Valentine Day Gifts To India</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}usa/valentines-day-gifts`}><a>Valentine Day Gifts To USA</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}canada/valentines-day-gifts`}><a>Valentine Day Gifts To Canada</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}australia/valentines-day-gifts`}><a>Valentine Day Gifts To Australia</a></Link >
                        </li>

                     </ul>
                  </section>

               </div>

            </li>


            <li className={styles.indianavdrop}>
               <Link href={`${config.callBackUrl}cakes-to-canada`}><a>Cakes</a></Link >
            </li>
            <li className={styles.indianavdrop}>
               <Link href={`${config.callBackUrl}flowers-to-canada`}><a>Flowers</a></Link >
            </li>
            <li className={styles.indianavdrop}>
               <Link href={`${config.callBackUrl}birthday-gifts-canada`}><a>Birthday</a></Link >
            </li>
            <li className={styles.indianavdrop}>
               <Link href={`${config.callBackUrl}anniversary-gifts-canada`}><a>Anniversary</a></Link >
            </li>
            <li className={styles.indianavdrop}>
               <Link href={`${config.callBackUrl}chocolates-to-canada`}><a>Chocolates</a></Link >
            </li>
            <li className={styles.indianavdrop}>
               <Link href={`${config.callBackUrl}plants-to-canada`}><a>Plants</a></Link >
            </li>
            <li className={styles.indianavdrop}>
               <Link href={`${config.callBackUrl}gift-baskets-canada`}><a>Gift Basket</a></Link >
            </li>
            <li className={styles.indianavdrop}>
               <Link href={`${config.callBackUrl}personalized-gifts-canada`}><a>Personalized</a></Link >
            </li>

            <li className={styles.indianavdrop}>
               <Link href={`${config.callBackUrl}`} className="menudropdown">
                  <a>
                     Global
                     <span>
                        <ArrowDropDownOutlined width='13' className="downico" />
                     </span>
                  </a>
               </Link ><div className={`${styles.sub_navmenubar} ${styles.ind1} ${styles.globeind}`}>
                  <section>
                     <Link href={`${config.callBackUrl}`}><a className={styles.bolder}>India</a></Link>
                     <ul>
                        <li>
                           <Link href={`${config.callBackUrl}valentines-day-gifts`}><a>Valentine Gifts</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}cakes`}><a>Cakes</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}flowers`}><a>Flowers</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}birthday-gifts`}><a>Birthday</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}anniversary-gifts`}><a>anniversary</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}chocolates`}><a>Chocolates</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}personalized-gifts`}><a>Personalized Gifts</a></Link >
                        </li>
                     </ul>
                  </section>
                  <section>
                     <Link href={`${config.callBackUrl}usa`}><a className={styles.bolder}>Usa</a></Link>
                     <ul>
                     <li>
                           <Link href={`${config.callBackUrl}usa/valentines-day-gifts`}><a>Valentine gifts</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}christmas-gifts-usa`}><a>Christmas</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}flowers-to-usa`}><a>Flowers</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}usa`}><a>Gifts</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}plants-to-usa`}><a>Plants</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}cakes-to-usa`}><a>Cakes</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}chocolates-to-usa`}><a>Chocolates</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}sweets-to-usa`}><a>Sweets</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}usa/sameday-gifts`}><a>Sameday gifts</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}personalized-gifts-usa`}><a>Personalized Gifts</a></Link >
                        </li>
                     </ul>
                  </section>
                  <section>
                     <Link href={`${config.callBackUrl}uk`}><a className={styles.bolder}>Uk</a></Link>
                     <ul>
                        <li>
                           <Link href={`${config.callBackUrl}flowers-to-uk`}><a>Flowers</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}uk`}><a>Gifts</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}plants-to-uk`}><a>Plants</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}cakes-to-uk`}><a>Cakes</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}chocolates-to-uk`}><a>Chocolates</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}sweets-to-uk`}><a>Sweets</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}uk/sameday-gifts`}><a>Sameday gifts</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}personalized-gifts-uk`}><a>Personalized Gifts</a></Link >
                        </li>
                     </ul>
                  </section>
                  <section>
                     <Link href={`${config.callBackUrl}uae`}><a className={styles.bolder}>Uae</a></Link>
                     <ul>
                        <li>
                           <Link href={`${config.callBackUrl}flowers-to-uae`}><a>Flowers</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}uae`}><a>Gifts</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}plants-to-uae`}><a>Plants</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}cakes-to-uae`}><a>Cakes</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}chocolates-to-uae`}><a>Chocolates</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}sweets-to-uae`}><a>Sweets</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}uae/sameday-gifts`}><a>Sameday gifts</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}personalized-gifts-uae`}><a>Personalized Gifts</a></Link >
                        </li>
                     </ul>
                  </section>

                  <section>
                     <Link href={`${config.callBackUrl}germany`}><a className={styles.bolder}>Germany</a></Link>
                     <ul>
                        <li>
                           <Link href={`${config.callBackUrl}flowers-to-germany`}><a>Flowers</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}germany`}><a>Gifts</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}plants-to-germany`}><a>Plants</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}cakes-to-germany`}><a>Cakes</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}chocolates-to-germany`}><a>Chocolates</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}sweets-to-germany`}><a>Sweets</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}germany/sameday-gifts`}><a>Sameday gifts</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}personalized-gifts-germany`}><a>Personalized Gifts</a></Link >
                        </li>
                     </ul>
                  </section>
                  <section>
                     <Link href={`${config.callBackUrl}australia`}><a className={styles.bolder}>Australia</a></Link>
                     <ul>
                        <li>
                           <Link href={`${config.callBackUrl}australia/valentines-day-gifts`}><a>Valentine Gifts</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}australia`}><a>Gifts</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}plants-to-australia`}><a>Plants</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}cakes-to-australia`}><a>Cakes</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}chocolates-to-australia`}><a>Chocolates</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}sweets-to-australia`}><a>Sweets</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}australia/sameday-gifts`}><a>Sameday gifts</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}personalized-gifts-australia`}><a>Personalized Gifts</a></Link >
                        </li>
                     </ul>
                  </section>
                  <section>
                     <Link href={`${config.callBackUrl}singapore`}><a className={styles.bolder}>Singapore</a></Link>
                     <ul>
                        <li>
                           <Link href={`${config.callBackUrl}singapore`}><a>Gifts</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}flowers-to-singapore`}><a>Flowers</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}cakes-to-singapore`}><a>Cakes</a></Link >
                        </li>

                     </ul>
                  </section>
               </div>
            </li>



         </ul>


      </>

   )
}