import React, { useState, useEffect, AwesomeSlider } from 'react';
import Link from 'next/link';
import { PhoneOutlined, ArrowDropDownOutlined, Menu, Person, AccountCircle } from '@material-ui/icons';
import styles from '../../components/Navbar/navbarstyle/navbar.module.css'
import config from '../../config/config';
export default function IndiaNavbar() {
   return (
      <>


         <ul className={styles.menu_ul}>

            <li className={styles.indianavdrop}>
               <Link href={`${config.callBackUrl}valentines-day-gifts`} className="menudropdown"><a>Valentine day Gifts
                  <span>
                     <ArrowDropDownOutlined width='13' className="downico" />
                  </span>
               </a>
               </Link >
               <div className={`${styles.sub_navmenubar} ${styles.ind1}`}>
                  <section>
                     <p className={styles.bolder}>Valentine day</p>
                     <ul>
                        <li>
                           <Link href={`${config.callBackUrl}valentines-day-gifts`}><a>Valentine day Gifts To India</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}usa/valentines-day-gifts`}><a>Valentine day Gifts To USA</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}canada/valentines-day-gifts`}><a>Valentine day Gifts To Canada</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}australia/valentines-day-gifts`}><a>Valentine day Gifts To Australia</a></Link >
                        </li>

                     </ul>
                  </section>
               </div>
            </li>


            <li className={styles.indianavdrop}>
               <Link href={`${config.callBackUrl}cakes`} className="menudropdown"><a>cakes
                  <span>
                     <ArrowDropDownOutlined width='13' className="downico" />
                  </span>
               </a>
               </Link >
               <div className={`${styles.sub_navmenubar} ${styles.ind1}`}>
                  <section>
                     <p className={styles.bolder}>By flavour</p>
                     <ul>
                        <li>
                           <Link href={`${config.callBackUrl}chocolate-cakes`}><a>Chocolate cake</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}vanilla-cakes`}><a>vanilla cake</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}red-velvet-cakes`}><a>Red velvet cake</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}black-forest-cakes`}><a>Black forest cake</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}truffle-cakes`}><a>truffle cake</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}fruit-cakes`}><a>Fruits cake</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}butterscotch-cakes`}><a>butterscotch cake</a></Link >
                        </li>
                     </ul>
                  </section>
                  <section>
                     <p className={styles.bolder}>By Occasion</p>
                     <ul>
                        <li>
                           <Link href={`${config.callBackUrl}birthday-cakes`}><a>Birthday Cakes</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}anniversary-cakes`}><a>Anniversary Cakes</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}1st-birthday-cakes`}><a>1st birthday Cake</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}1st-anniversary-cakes`}><a>1st anniversary cake</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}25th-anniversary-cakes`}><a>25th anniversary Cake</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}wedding-cakes`}><a>Wedding cakes</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}cakes`}><a>All cakes</a></Link >
                        </li>
                     </ul>
                  </section>
               </div>
            </li>
            <li className={styles.indianavdrop}>
               <Link href={`${config.callBackUrl}flowers`} className="menudropdown">
                  <a>
                     flowers
                     <span>
                        <ArrowDropDownOutlined width='13' className="downico" />
                     </span>
                  </a>
               </Link >
               <div className={`${styles.sub_navmenubar} ${styles.ind1}`}>
                  <section>
                     <p className={styles.bolder}>By Type</p>
                     <ul>
                        <li>
                           <Link href={`${config.callBackUrl}roses`}><a>Roses</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}gerberas`}><a>Gerberas </a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}lilies`}><a>Lilies </a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}orchids`}><a>Orchids</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}carnations`}><a>Carnations</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}mixed-flowers`}><a>Mixed</a></Link>

                        </li>
                     </ul>
                  </section>
                  <section>
                     <p className={styles.bolder}>By Occasion</p>
                     <ul>
                        <li>
                           <Link href={`${config.callBackUrl}birthday-flowers`}><a>Birthday</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}anniversary-flowers`}><a>Anniversary </a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}congratulations-flowers`}><a>Congratulation </a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}love-n-romance-flowers`}><a>Love & Romance Flowers</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}thank-you-flowers`}><a>Thank You  </a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}i-am-sorry-flowers`}><a>I am sorry Flowers</a></Link >
                        </li>
                     </ul>
                  </section>
               </div>
            </li>
            <li className={styles.indianavdrop}>
               <Link href={`${config.callBackUrl}`} className="menudropdown">
                  <a>
                     Occasions
                     <span>
                        <ArrowDropDownOutlined width='13' className="downico" />
                     </span>
                  </a>
               </Link >
               <div className={`${styles.sub_navmenubar} ${styles.ind1}`}>
                  <section>
                     <p className={styles.bolder}>By Festivals</p>
                     <ul>
                        <li>
                           <Link href={`${config.callBackUrl}holi`}><a>Holi</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}rakhi`}><a>Rakhi</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}diwali`}><a>Diwali</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}ganesh-chaturthi`}><a>Ganesh Chaturthi</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}christmas`}><a>Christmas</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}bhai-dooj`}><a>Bhai Dooj</a></Link >
                        </li>

                     </ul>
                  </section>
                  <section>
                     <p className={styles.bolder}>Everyday</p>
                     <ul>
                        <li>
                           <Link href={`${config.callBackUrl}birthday-cakes`}><a>Birthday Cakes</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}anniversary-cakes`}><a>Anniversary Cakes</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}1st-birthday-cakes`}><a>1st birthday Cake</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}1st-anniversary-cakes`}><a>1st anniversary cake</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}25th-anniversary-cakes`}><a>25th anniversary cake</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}wedding-cakes`}><a>Wedding cakes</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}cakes`}><a>All cakes</a></Link >
                        </li>
                     </ul>
                  </section>
               </div>
            </li>
            <li className={styles.indianavdrop}>
               <Link href={`${config.callBackUrl}birthday-gifts`}><a>birthday</a></Link >
            </li>

            <li className={styles.indianavdrop}>
               <Link href={`${config.callBackUrl}anniversary-gifts`}><a>Anniversary</a></Link >
            </li>
            <li className={styles.indianavdrop}>
               <Link href={`${config.callBackUrl}chocolates`}><a>Chocolates</a></Link >
            </li>
            <li className={styles.indianavdrop}>
               <Link href={`${config.callBackUrl}personalized-gifts`}><a>Personalized Gifts</a></Link >
            </li>


            <li className={styles.indianavdrop}>
               <Link href={`${config.callBackUrl}`} className="menudropdown">
                  <a>
                     Global
                     <span>
                        <ArrowDropDownOutlined width='13' className="downico" />
                     </span>
                  </a>
               </Link ><div className={`${styles.sub_navmenubar} ${styles.ind1} ${styles.globeind}`}>
                  <section>
                     <Link href={`${config.callBackUrl}usa`}><a className={styles.bolder}>Usa</a></Link>
                     <ul>
                        <li>
                           <Link href={`${config.callBackUrl}usa/valentines-day-gifts`}><a>Valentine Gifts</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}christmas-gifts-usa`}><a>Christmas</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}flowers-to-usa`}><a>Flowers</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}usa`}><a>Gifts</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}plants-to-usa`}><a>Plants</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}cakes-to-usa`}><a>Cakes</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}chocolates-to-usa`}><a>Chocolates</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}sweets-to-usa`}><a>Sweets</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}usa/sameday-gifts`}><a>Sameday gifts</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}personalized-gifts-usa`}><a>Personalized Gifts</a></Link >
                        </li>
                     </ul>
                  </section>
                  <section>
                     <Link href={`${config.callBackUrl}uk`}><a className={styles.bolder}>Uk</a></Link>
                     <ul>

                        <li>
                           <Link href={`${config.callBackUrl}flowers-to-uk`}><a>Flowers</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}uk`}><a>Gifts</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}plants-to-uk`}><a>Plants</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}cakes-to-uk`}><a>Cakes</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}chocolates-to-uk`}><a>Chocolates</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}sweets-to-uk`}><a>Sweets</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}uk/sameday-gifts`}><a>Sameday gifts</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}personalized-gifts-uk`}><a>Personalized Gifts</a></Link >
                        </li>
                     </ul>
                  </section>
                  <section>
                     <Link href={`${config.callBackUrl}uae`}><a className={styles.bolder}>Uae</a></Link>
                     <ul>

                        <li>
                           <Link href={`${config.callBackUrl}flowers-to-uae`}><a>Flowers</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}uae`}><a>Gifts</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}plants-to-uae`}><a>Plants</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}cakes-to-uae`}><a>Cakes</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}chocolates-to-uae`}><a>Chocolates</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}sweets-to-uae`}><a>Sweets</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}uae/sameday-gifts`}><a>Sameday gifts</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}personalized-gifts-uae`}><a>Personalized Gifts</a></Link >
                        </li>
                     </ul>
                  </section>
                  <section>
                     <Link href={`${config.callBackUrl}canada`}><a className={styles.bolder}>Canada</a></Link>
                     <ul>

                        <li>
                           <Link href={`${config.callBackUrl}canada/valentines-day-gifts`}><a>valentine gifts</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}flowers-to-canada`}><a>Flowers</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}canada`}><a>Gifts</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}plants-to-canada`}><a>Plants</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}cakes-to-canada`}><a>Cakes</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}chocolates-to-canada`}><a>Chocolates</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}sweets-to-canada`}><a>Sweets</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}canada/sameday-gifts`}><a>Sameday gifts</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}personalized-gifts-canada`}><a>Personalized Gifts</a></Link >
                        </li>
                     </ul>
                  </section>
                  <section>
                     <Link href={`${config.callBackUrl}germany`}><a className={styles.bolder}>Germany</a></Link>
                     <ul>

                        <li>
                           <Link href={`${config.callBackUrl}flowers-to-germany`}><a>Flowers</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}germany`}><a>Gifts</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}plants-to-germany`}><a>Plants</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}cakes-to-germany`}><a>Cakes</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}chocolates-to-germany`}><a>Chocolates</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}sweets-to-germany`}><a>Sweets</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}germany/sameday-gifts`}><a>Sameday gifts</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}personalized-gifts-germany`}><a>Personalized Gifts</a></Link >
                        </li>
                     </ul>
                  </section>
                  <section>
                     <Link href={`${config.callBackUrl}australia`}><a className={styles.bolder}>Australia</a></Link>
                     <ul>
                        <li>
                           <Link href={`${config.callBackUrl}australia/valentines-day-gifts`}><a>valentine gifts</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}flowers-to-australia`}><a>Flowers</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}australia`}><a>Gifts</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}plants-to-australia`}><a>Plants</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}cakes-to-australia`}><a>Cakes</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}chocolates-to-australia`}><a>Chocolates</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}sweets-to-australia`}><a>Sweets</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}australia/sameday-gifts`}><a>Sameday gifts</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}personalized-gifts-australia`}><a>Personalized Gifts</a></Link >
                        </li>
                     </ul>
                  </section>
                  <section>
                     <Link href={`${config.callBackUrl}singapore`}><a className={styles.bolder}>Singapore</a></Link>
                     <ul>

                        <li>
                           <Link href={`${config.callBackUrl}singapore`}><a>Gifts</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}flowers-to-singapore`}><a>Flowers</a></Link >
                        </li>
                        <li>
                           <Link href={`${config.callBackUrl}cakes-to-singapore`}><a>Cakes</a></Link >
                        </li>

                     </ul>
                  </section>
               </div>
            </li>
         </ul>


      </>
   )
}