import React from 'react';
import Link from 'next/link';
import styles from '../navbarstyle/navbar.module.css'
import ArrowDropDownIcon from '@material-ui/icons/ArrowDropDown';
import config from '../../../config/config';
export default function UsaNavbar() {

    return (
        <>
            <ul className={styles.mobile_nav_list}>
                <li><Link href={`${config.callBackUrl}flowers-to-singapore`}><a>Flowers</a></Link></li>
				<li><Link href={`${config.callBackUrl}cakes-to-singapore`}><a>Cakes</a></Link></li>
                <li>
                    <input id="group-5" type="checkbox" hidden />
                    <label htmlFor="group-5">Global <ArrowDropDownIcon width='10' className={styles.arrow_drop} /></label>
                    <ul className={styles.group_list}>
                        <li>
                            <input id="sub-group-5" type="checkbox" hidden />
                            <label htmlFor="sub-group-5">India<ArrowDropDownIcon width='10' className={styles.arrow_drop} /></label>
                            <ul className={styles.sub_group_list}>
                                <li><Link href={`${config.callBackUrl}cakes`}><a>Cakes</a></Link></li>
                                <li><Link href={`${config.callBackUrl}flowers`}><a>Flowers</a></Link></li>
                                <li><Link href={`${config.callBackUrl}birthday-gifts`}><a>Birthday</a></Link></li>
                                <li><Link href={`${config.callBackUrl}anniversary-gifts`}><a>Anniversary</a></Link></li>
                                <li><Link href={`${config.callBackUrl}chocolates`}><a>Chocolates</a></Link></li>
                                <li><Link href={`${config.callBackUrl}personalized-gifts`}><a>Personalized Gifts</a></Link></li>
                            </ul>
                            <input id="sub-group-55" type="checkbox" hidden />
                            <label htmlFor="sub-group-55">USA<ArrowDropDownIcon width='10' className={styles.arrow_drop} /></label>
                            <ul className={styles.sub_group_list}>
                            <li>
                           <Link href={`${config.callBackUrl}christmas-gifts-usa`}><a>Christmas</a></Link >
                        </li>
                                <li><Link href={`${config.callBackUrl}flowers-to-usa`}><a>Flowers</a></Link></li>
                                <li><Link href={`${config.callBackUrl}usa`}><a>Gifts</a></Link></li>
                                <li><Link href={`${config.callBackUrl}plants-to-usa`}><a>Plants</a></Link></li>
                                <li><Link href={`${config.callBackUrl}cakes-to-usa`}><a>Cakes</a></Link></li>
                                <li><Link href={`${config.callBackUrl}chocolates-to-usa`}><a>chocolates</a></Link></li>
                                <li><Link href={`${config.callBackUrl}sweets-to-usa`}><a>Sweets</a></Link></li>
                                <li><Link href={`${config.callBackUrl}usa/sameday-gifts`}><a>Sameday Gifts</a></Link></li>
                                <li><Link href={`${config.callBackUrl}personalized-gifts-usa`}><a>Personalized Gifts</a></Link></li>
                            </ul>
                            <input id="sub-group-51" type="checkbox" hidden />
                            <label htmlFor="sub-group-51">UK<ArrowDropDownIcon width='10' className={styles.arrow_drop} /></label>
                            <ul className={styles.sub_group_list}>
                                <li><Link href={`${config.callBackUrl}flowers-to-uk`}><a>Flowers</a></Link></li>
                                <li><Link href={`${config.callBackUrl}international-gifts`}><a>Gifts</a></Link></li>
                                <li><Link href={`${config.callBackUrl}plants-to-uk`}><a>Plants</a></Link></li>
                                <li><Link href={`${config.callBackUrl}cakes-to-uk`}><a>Cakes</a></Link></li>
                                <li><Link href={`${config.callBackUrl}chocolates-to-uk`}><a>chocolates</a></Link></li>
                                <li><Link href={`${config.callBackUrl}sweets-to-uk`}><a>Sweets</a></Link></li>
                                <li><Link href={`${config.callBackUrl}uk/sameday-gifts`}><a>Sameday Gifts</a></Link></li>
                                <li><Link href={`${config.callBackUrl}personalized-gifts-uk`}><a>Personalized Gifts</a></Link></li>
                            </ul>
                            <input id="sub-group-52" type="checkbox" hidden />
                            <label htmlFor="sub-group-52">UAE<ArrowDropDownIcon width='10' className={styles.arrow_drop} /></label>
                            <ul className={styles.sub_group_list}>
                                <li><Link href={`${config.callBackUrl}flowers-to-uae`}><a>Flowers</a></Link></li>
                                <li><Link href={`${config.callBackUrl}uae`}><a>Gifts</a></Link></li>
                                <li><Link href={`${config.callBackUrl}plants-to-uae`}><a>Plants</a></Link></li>
                                <li><Link href={`${config.callBackUrl}cakes-to-uae`}><a>Cakes</a></Link></li>
                                <li><Link href={`${config.callBackUrl}chocolates-to-uae`}><a>chocolates</a></Link></li>
                                <li><Link href={`${config.callBackUrl}sweets-to-uae`}><a>Sweets</a></Link></li>
                                <li><Link href={`${config.callBackUrl}uae/sameday-gifts`}><a>Sameday Gifts</a></Link></li>
                                <li><Link href={`${config.callBackUrl}personalized-gifts-uae`}><a>Personalized Gifts</a></Link></li>
                            </ul>
                            <input id="sub-group-53" type="checkbox" hidden />
                            <label htmlFor="sub-group-53">Canada<ArrowDropDownIcon width='10' className={styles.arrow_drop} /></label>
                            <ul className={styles.sub_group_list}>
                                <li><Link href={`${config.callBackUrl}flowers-to-canada`}><a>Flowers</a></Link></li>
                                <li><Link href={`${config.callBackUrl}canada`}><a>Gifts</a></Link></li>
                                <li><Link href={`${config.callBackUrl}plants-to-canada`}><a>Plants</a></Link></li>
                                <li><Link href={`${config.callBackUrl}cakes-to-canada`}><a>Cakes</a></Link></li>
                                <li><Link href={`${config.callBackUrl}chocolates-to-canada`}><a>chocolates</a></Link></li>
                                <li><Link href={`${config.callBackUrl}sweets-to-canada`}><a>Sweets</a></Link></li>
                                <li><Link href={`${config.callBackUrl}canada/sameday-gifts`}><a>Sameday Gifts</a></Link></li>
                                <li><Link href={`${config.callBackUrl}personalized-gifts-canada`}><a>Personalized Gifts</a></Link></li>
                            </ul>
                            <input id="sub-group-56" type="checkbox" hidden />
                            <label htmlFor="sub-group-56">Germany<ArrowDropDownIcon width='10' className={styles.arrow_drop} /></label>
                            <ul className={styles.sub_group_list}>
                                <li><Link href={`${config.callBackUrl}flowers-to-germany`}><a>Flowers</a></Link></li>
                                <li><Link href={`${config.callBackUrl}germany`}><a>Gifts</a></Link></li>
                                <li><Link href={`${config.callBackUrl}plants-to-germany`}><a>Plants</a></Link></li>
                                <li><Link href={`${config.callBackUrl}cakes-to-germany`}><a>Cakes</a></Link></li>
                                <li><Link href={`${config.callBackUrl}chocolates-to-germany`}><a>chocolates</a></Link></li>
                                <li><Link href={`${config.callBackUrl}sweets-to-germany`}><a>Sweets</a></Link></li>
                                <li><Link href={`${config.callBackUrl}germany/sameday-gifts`}><a>Sameday Gifts</a></Link></li>
                                <li><Link href={`${config.callBackUrl}personalized-gifts-germany`}><a>Personalized Gifts</a></Link></li>
                            </ul>
                            <input id="sub-group-54" type="checkbox" hidden />
                            <label htmlFor="sub-group-54">Australia<ArrowDropDownIcon width='10' className={styles.arrow_drop} /></label>
                            <ul className={styles.sub_group_list}>
                                <li><Link href={`${config.callBackUrl}flowers-to-australia`}><a>Flowers</a></Link></li>
                                <li><Link href={`${config.callBackUrl}australia`}><a>Gifts</a></Link></li>
                                <li><Link href={`${config.callBackUrl}plants-to-australia`}><a>Plants</a></Link></li>
                                <li><Link href={`${config.callBackUrl}cakes-to-australia`}><a>Cakes</a></Link></li>
                                <li><Link href={`${config.callBackUrl}chocolates-to-australia`}><a>chocolates</a></Link></li>
                                <li><Link href={`${config.callBackUrl}sweets-to-australia`}><a>Sweets</a></Link></li>
                                <li><Link href={`${config.callBackUrl}australia/sameday-gifts`}><a>Sameday Gifts</a></Link></li>
                                <li><Link href={`${config.callBackUrl}personalized-gifts-australia`}><a>Personalized Gifts</a></Link></li>
                            </ul>
                        </li>
                    </ul>
                </li>
            </ul>
        </>

    )
}