import "react-multi-carousel/lib/styles.css";
import Grid from '@material-ui/core/Grid';
import Categorycard from '../components/Component/Categorycard';
import Doodle from "../components/Component/Doodle";
import config from "../config/config";
import { useState, useEffect } from 'react'
import InfiniteScroll from "react-infinite-scroll-component";
import { useSelector ,useDispatch} from 'react-redux';
import dynamic from 'next/dynamic'
const Egiftloader = dynamic(() => import('../components/Egiftloader/EgiftLoadermd'), {
  loading: () => <header />,
})
import { setFirstTimeData } from '../redux/actions/cart';
import { makeStyles } from "@material-ui/core/styles";
import styles from '../layouts/Layoutstyles/Category.module.css'
import Categorypagecard from '../components/Component/Categorypagecard'
import { GetCookieStorage } from "../redux/lib/localstorage";


const useStyles = makeStyles((theme) => ({
	root: {
		'& > * + *': {
			marginTop: theme.spacing(2),
		},
	},
}));

function handleClick(event) {
	event.preventDefault();
}

export default function categorylayout(props) {
	const SelectedCurr = useSelector(state => state.cartReducer.CurrencyData);
	const dispatch = useDispatch();
	const [categoryId, setcategoryId] = useState(props.apiData.CatId)
	const [Products, setProducts] = useState([])
	const [hasMoreProducts, sethasMoreProducts] = useState(true);
	const [pageNo, setpageNo] = useState(1);
	const [qParam, setqParam] = useState('?popularity=1');
    const [noProducts, setnoProducts] = useState(false);
    const [categoryLoader, setcategoryLoader] = useState(true);
	const [currencyRateP, setcurrencyRateP] = useState('');
	const [currencySymbolP, setcurrencySymbolP] = useState('');  
	const [SelectedCurrencydata, setSelectedCurrencydata] = useState('');
	
	useEffect(() => {
		if(props.apiData.CatId){
			if(!SelectedCurr){
			var AllCountryData = props.AllCurrencyData
			setcurrencydadtanew()
			async function setcurrencydadtanew(){
				await dispatch(setFirstTimeData(props.currentCurrency, AllCountryData, props.GeoData))
			}
				setSelectedCurrencydata(props.currentCurrency)
				setcurrencySymbolP(props.currentCurrency.CurrencySymbol)
				setcurrencyRateP(props.currentCurrency.CurrencyRate)
				
			}else{
				setSelectedCurrencydata(SelectedCurr)
				setcurrencySymbolP(SelectedCurr.CurrencySymbol)
				setcurrencyRateP(SelectedCurr.CurrencyRate)
			}
		}
		getCategoryProducts()
		setCategoryStates()
	},[props.apiData.CatId,SelectedCurr])
	
	async function setCategoryStates(){
		setcategoryLoader(true)
		setProducts([])
		setpageNo(1)
		sethasMoreProducts(true)
		setnoProducts(false)
		setqParam('?popularity=1')
		setcurrencySymbolP(props.currentCurrency.CurrencySymbol)
	}
	
	async function getCategoryProducts() {
		if(SelectedCurr){
			var CurrRate = SelectedCurr.CurrencyRate;
			if (typeof (CurrRate) === 'undefined'){
				CurrRate = 1;
			}
			setProducts([])
			sethasMoreProducts(true)
			setpageNo(1)
			var url = `${config.apiUrl}category/${props.apiData.CatId}/${qParam}&pageno=1&currencyRate=${CurrRate}`
			const res = await fetch(url)
			const data = await res.json()
			setcategoryLoader(false)
			if(data[0] == 'no data found' ){
				sethasMoreProducts(false)
				setnoProducts(true)
			}
			else if(data.length <  (config.perPage - 1)){
				sethasMoreProducts(false)
				setProducts(data)
			}else{
				setProducts(data)
			}
		}
	}


	async function filterProducts(e) {
		if(SelectedCurr.CurrencyRate){
			var value = e.target.value
			setqParam(value)
			var p = 1
			var url = `${config.apiUrl}category/${props.apiData.CatId}/${e.target.value}&pageno=1&currencyRate=${SelectedCurr.CurrencyRate}`
			const res = await fetch(url)
			const data = await res.json()
			if(data[0] == 'no data found' ){
				sethasMoreProducts(false)
				setnoProducts(true)
			}
			else if(data.length <  (config.perPage - 1)){
				sethasMoreProducts(false)
				setProducts(data)
			}else{
				setProducts(data)
				sethasMoreProducts(true)
			}
			setpageNo(1)
		}
	}


	const getMoreProducts = async () => {
		var p = pageNo
		var newp = pageNo + 1
		var InfiniteScrollUrl = `${config.apiUrl}category/${props.apiData.CatId}/${qParam}&pageno=${newp}&currencyRate=${SelectedCurr.CurrencyRate}`
		const InfiniteScrollRes = await fetch(InfiniteScrollUrl)
		const newData = await InfiniteScrollRes.json()
		 if(newData[0] == 'no data found' ){
			sethasMoreProducts(false)
		}
		else if(newData.length <  (config.perPage - 1)){
			sethasMoreProducts(false)
			setProducts((Products) => [...Products, ...newData]);
		}else{
			setProducts((Products) => [...Products, ...newData]);
		}
		setpageNo(newp)
		
		
	};
	const classes = useStyles();
	return (
		<>
		
			<div className={`${styles.category_heading} ${styles.categorypage_headings} categorypage-headings`}>

				<div className={styles.categorycontainer}>
					<div className={`${styles.catchoiceheading} ${styles.categorychoicehead}`}>
						<h1>{props.apiData.CategoryTitle}</h1>
					</div>
					
				</div>
				{(props.apiData.CategoryHeaderContent !== 'null' && props.apiData.CategoryHeaderContent !== '<p>null</p>' && props.apiData.CategoryHeaderContent) ?
					<>
					<div className={styles.headingcontent}>
						<div className= "hc" dangerouslySetInnerHTML={{ __html: props.apiData.CategoryHeaderContent }} />
					</div>
					</>
					:
					<>
					</>
					
				}
				
				

			</div>
			
			
			
			{props.apiData.CategoryTopSectionlayout && (props.apiData.CategoryTopSectionlayout).length > 0 ?
				<>
					{(props.apiData.CategoryTopSectionlayout[0][0].data.length > 0 && Array.isArray(props.apiData.CategoryTopSectionlayout[0][0].data) ) ?
						<>
							<Grid container className='Categories_Card categorypage-category-card'>

								{props.apiData.CategoryTopSectionlayout[0][0].data.map((doodle, ind) => {
									return (
										<div key={ind}>
											{(doodle.imgname && doodle.imagename  && doodle.imageurl) ?
												<>
													<Categorycard CatImage={`${config.categoryPageTopSectionImageurl + doodle.imgname}`} CatName={doodle.imagename} categoryLink={doodle.imageurl} />
												</>
												:
												<>
												</>
											}
										</div>
									)
								})
								}
							</Grid>
						</>
						:
						<>
						</>
					}
					{(props.apiData.CategoryTopSectionlayout[1][0].data.length > 1 && Array.isArray(props.apiData.CategoryTopSectionlayout[0][0].data)) ?
						<>
							<Grid container className="categorybestseller doodle-common">
								{props.apiData.CategoryTopSectionlayout[1][0].data.map((doodle, ind) => {
									return (
										<div key={ind}>
											{(doodle.imgname && doodle.imagename  && doodle.imageurl) ?
												<>
													<Doodle categoryImage={`${config.categoryPageTopSectionImageurl + doodle.imgname}`} categoryName={doodle.imagename} categoryLink={doodle.imageurl} mainClass='categorypage-doodle ' />
												</>
												:
												''
											}
										</div>
									)
								})
								}
							</Grid>
						</>
						:
						<>
						</>
					}

				</>
				:
				''
			}
			
			{(categoryLoader) ? 
			
				<>
				
					<Egiftloader/>
				</>
				:
				<>
			{(noProducts) ?
			 <>
				<div className={styles.cat_data_nfound}>
						 <div className={styles.cat_data_nfound_inner}>
						   <h1>Sorry <span> !</span></h1>
						   <p>No Products <span>found</span></p>
						   <p className={styles.cat_data_nfound_inner_p}>We are looking into this and will fix it soon</p>
						    </div>
						   </div>
				
				
			 </>
			 :
			 <>
				<div className={styles.category_select_dropdwn}>
								<div className={styles.filter_drp}>
									<select onChange={(e) => filterProducts(e)}>
										<option value="?popularity=1">Popularity</option>
										<option value="?price=asc">Price: Low To High</option>
										<option value="?price=desc">Price: High To Low</option>
										<option value="?id=desc">Newest To Oldest</option>
										<option value="?id=asc">Oldest To Newest</option>
								</select>
					</div>
				</div>
			
			
				<InfiniteScroll
					dataLength={Products.length}
					next={getMoreProducts}
					hasMore={hasMoreProducts}
					loader={<h3 className={styles.loadcatgry}><Egiftloader className={styles.load} alt="loader" /></h3>}
					scrollThreshold = {parseFloat(.4)}
					endMessage={<h4 className={styles.catendmsg}><img src="/catend.png" className={styles.catend} /></h4>}
				>
					{(Products.length > 0) ?
						<>

					<Grid container className={`${styles.categorylayoutcard2}  categorypage-product-card`} >
								{Products.map((doodle, ind) => {
									var symbolPrice = doodle.displayProductPrice;
									var symbolDisPrice = doodle.displaySalePrice;
									return (
										<Categorypagecard
											productImage={`${config.categoryPageproductImageurl + doodle.ProductSmallImage}`} productName={doodle.ProductName} key={ind} productLink={doodle.imageurl}
											productPrice={symbolPrice}
											productSaleprice={symbolDisPrice}
											productSlug={doodle.ProductSlug}
											ProductBestSeller={doodle.ProductBestSeller}
											ProductNewArrival={doodle.ProductNewArrival}
											ProductOnSale={doodle.ProductSale}
											TwoDayDelivery={doodle.TwoDayDelivery}
											NextDayDelivery={doodle.NextDayDelivery}
											ThreeHourDelivery={doodle.ThreeHourDelivery}
											PremiumDelivery={doodle.PremiumDelivery}
											ProductPersonalised={doodle.ProductPersonalised}
											ProductSameDayDel={doodle.ProductSameDayDel}
											CurrencySymbol={SelectedCurr.CurrencySymbol}
											ImgAlt={doodle.ImageAltTag}

										/>
									)
								})
								}


							</Grid>
						</>
						:
						<>
						</>
					}
				</InfiniteScroll>
			 </>
				
			}
			</>
				
			}
			
			
		</>
	)

}