import Link from "next/link";
import Carousel from "react-multi-carousel";
import "react-multi-carousel/lib/styles.css";
import SliderSlide from "../components/Component/Slider";
import Doodle from "../components/Component/Doodle"
import CategoryOccasionCard from '../components/Component/CategoryOccasionCard';
import Smallbanner from '../components/Component/Smallbanner';
import Worldwide from '../components/Component/worldwide';
import Grid from '@material-ui/core/Grid';
import config from "../config/config";
import styles from '../layouts/Layoutstyles/Occasion.module.css'
import { ArrowBackIos, ArrowForwardIos } from '@material-ui/icons';

const CustomRight = ({ onClick }) => (
	<button className="arrow_rightcmn" onClick={onClick} >
	  <ArrowBackIos className="arrowiconcmn" />
	</button>
  );
  const CustomLeft = ({ onClick }) => (
	<button className="arrow_leftcmn" onClick={onClick} >
	  <ArrowForwardIos className="arrowiconcmn" />
	</button>
  );

export default function OccasionLayout(props) {
	return (
		<>
			{(props.apiData.sliderData.length > 0) ?
				<>
					<div className='top-slider'>
						<Carousel
							additionalTransfrom={0}
							autoPlaySpeed={3000}
							centerMode={false}
							className={styles.react_occasion_slider}
							dotListClass=""
							draggable
							focusOnSelect={false}
							infinite
							itemClass=""
							keyBoardControl
							minimumTouchDrag={80}
							renderButtonGroupOutside={false}
							renderDotsOutside={false}
							customRightArrow={<CustomRight />}
                            customLeftArrow={<CustomLeft />}
							responsive={{
								desktop: {
									breakpoint: {
										max: 3000,
										min: 1024
									},
									items: 1
								},
								mobile: {
									breakpoint: {
										max: 464,
										min: 0
									},
									items: 1
								},
								tablet: {
									breakpoint: {
										max: 1024,
										min: 464
									},
									items: 1
								}
							}}
							showDots
							sliderClass=""
							slidesToSlide={1}
							swipeable
						>
							{props.apiData.sliderData.map((slide, ind) => {
								return (
									<SliderSlide imageName={slide.SlideImagePath} slideUrl={slide.SlideUrl} key={ind} />
								)
							})}
						</Carousel>
					</div>
				</>
				:
				<>
				</>
			}
			{(props.apiData.pageLayout[0][0].data.length > 0) ?
				<>
					<div className={`${styles.subheading} occasion_page_headings occasion-page-headings`}>
						<div className={styles.catchoiceheading}>
							<h1>{props.apiData.pageLayout[0][0].title}</h1>
							
						</div>
						<p>{props.apiData.pageLayout[0][0].heading}</p>
					</div>
					<Grid container className={styles.doodle_common} >
						{props.apiData.pageLayout[0][0].data.map((doodle, ind) => {
							return (
								 <Doodle categoryImage={`${config.ocassionPageImageurl + doodle.imgname}`} categoryName={doodle.imagename} key={ind} alt={''}  title={doodle.imagename}
								 categoryLink={doodle.imageurl} mainClass = {styles.occassionpage_doodle}/>
							)
						})
						}
					</Grid>
				</>
				:
				<>
				</>
			}
			{(props.apiData.pageLayout[1][0].data.length > 0) ?
				<>
					<div className={`${styles.subheading} occasion_page_headings occasion-page-headings`}>
						<div className={styles.catchoiceheading}>
							<h1>{props.apiData.pageLayout[1][0].title}</h1>
							
						</div>
						<p>{props.apiData.pageLayout[1][0].heading}</p>
					</div>
					<Grid container className={`${styles.occassion_category_card} occassion-category-card`}>
						{props.apiData.pageLayout[1][0].data.map((doodle, ind) => {
							return (

								<CategoryOccasionCard CatImage={`${config.ocassionPageImageurl + doodle.imgname}`} CatName={doodle.imagename} title={doodle.imagename} alt={''} key={ind} categoryLink={doodle.imageurl} />
							)
						})
						}
					</Grid>
				</>
				:
				<>
				</>
			}
			{(props.apiData.pageLayout[2][0].data.length > 0) ?
				<>
					<div className={`${styles.subheading} occasion_page_headings occasion-page-headings`}>
						<div className={styles.catchoiceheading}>
							<h1>{props.apiData.pageLayout[2][0].title}</h1>
							
						</div>
						<p>{props.apiData.pageLayout[2][0].heading}</p>
					</div>
					<Grid container className={styles.occassion_category_card}>
						{props.apiData.pageLayout[2][0].data.map((doodle, ind) => {
							return (

								<CategoryOccasionCard CatImage={`${config.ocassionPageImageurl + doodle.imgname}`} CatName={doodle.imagename} title={doodle.imagename} alt={''} key={ind} categoryLink={doodle.imageurl} />
							)
						})
						}
					</Grid>
				</>
				:
				<>
				</>
			}
			{(props.apiData.pageLayout[3][0].sectionimagename) ?
				<>
					<Grid container className={styles.mid_banners} item md={12} lg={12} sm={12} xs={12} >
						<Link href={(props.apiData.pageLayout[3][0].sectionurl) ? props.apiData.pageLayout[3][0].sectionurl : '#'}><a>
							<img src={config.ocassionPageImageurl + props.apiData.pageLayout[3][0].sectionimagename} className={styles.fullwidthbanner} title='fullwidthbanner' alt='' />
						</a></Link>
					</Grid>     
				</>
				:
				<>
				</>
			}
			{(props.apiData.pageLayout[3][1].sectionimagename && props.apiData.pageLayout[3][2].sectionimagename) ?
				<>
					<Grid className={styles.mid_banners} item md={12} lg={12} sm={12} xs={12} >
						<Link href={props.apiData.pageLayout[3][1].sectionurl}><a>
							<Smallbanner item md={6} lg={6} sm={12} xs={12} specialImage={config.ocassionPageImageurl + props.apiData.pageLayout[3][1].sectionimagename} />
						</a></Link>
						<Link href={props.apiData.pageLayout[3][2].sectionurl}><a>
							<Smallbanner item md={6} lg={6} sm={12} xs={12} specialImage={config.ocassionPageImageurl + props.apiData.pageLayout[3][2].sectionimagename} />
						</a></Link>
					</Grid>
				</>
				:
				<>
				</>
			}
			{(props.apiData.pageLayout[4][0].data.length > 0) ?
				<>
					<div className={`${styles.subheading} occasion_page_headings occasion-page-headings`}>
						<div className={styles.catchoiceheading}>
							<h1>{props.apiData.pageLayout[4][0].title}</h1>
							
						</div>
						<p>{props.apiData.pageLayout[4][0].heading}</p>
					</div>
					<Grid container className={styles.doodle_common} >
						{props.apiData.pageLayout[4][0].data.map((doodle, ind) => {
							return (
								<Doodle categoryImage={`${config.ocassionPageImageurl + doodle.imgname}`} mainClass = {styles.occassionpage_doodle} categoryName={doodle.imagename} title={doodle.imagename} alt={''} key={ind} categoryLink={doodle.imageurl} />
							)
						})
						}
					</Grid>
				</>
				:
				<>
				</>
			}
			{(props.apiData.pageLayout[5][0].data.length > 0) ?
				<>
					<div className={`${styles.subheading} occasion_page_headings occasion-page-headings`}>
						<div className={styles.catchoiceheading}>
							<h1>{props.apiData.pageLayout[5][0].title}</h1>
							
						</div>
						<p>{props.apiData.pageLayout[5][0].heading}</p>
					</div>
					<Grid container className={styles.occassion_category_card}>
						{props.apiData.pageLayout[5][0].data.map((doodle, ind) => {
							return (

								<CategoryOccasionCard CatImage={`${config.ocassionPageImageurl + doodle.imgname}`} CatName={doodle.imagename} title={doodle.imagename} alt={''} key={ind} categoryLink={doodle.imageurl} />
							)
						})
						}
					</Grid>
				</>
				:
				<>
				</>
			}

			{(props.apiData.pageLayout[6].length > 1) ?
				<>
					<Grid className={styles.mid_banners} item md={12} lg={12} sm={12} xs={12} >
						<>
							{(props.apiData.pageLayout[6][0].sectionimagename) ?
								<Link href={(props.apiData.pageLayout[6][0].sectionurl) ? props.apiData.pageLayout[6][0].sectionurl : '#'}><a>
									<Smallbanner specialImage={config.ocassionPageImageurl + props.apiData.pageLayout[6][0].sectionimagename} title='smallbanner1' alt='' />
								</a></Link>
							:
								<>
								</>
							}
							{(props.apiData.pageLayout[6][1].sectionimagename) ?
								<>
									<Link href={(props.apiData.pageLayout[6][1].sectionurl) ? props.apiData.pageLayout[6][1].sectionurl : '#'}><a>
										<Smallbanner specialImage={config.ocassionPageImageurl + props.apiData.pageLayout[6][1].sectionimagename} title='smallbanner2' alt='' />
									</a></Link>
								</>
								:
								<>
								</>
							}
						</>	
					</Grid>
				</>
				:
				<>
				</>
			}
			{(props.apiData.pageLayout[7][0].data.length > 0) ?
				<>
					<div className={`${styles.subheading} occasion_page_headings occasion-page-headings`}>
						<div className={styles.catchoiceheading}>
							<h1>{props.apiData.pageLayout[7][0].title}</h1>
							
						</div>
						<p>{props.apiData.pageLayout[7][0].heading}</p>
					</div>
					<Grid container className={styles.doodle_common} >
						{props.apiData.pageLayout[7][0].data.map((doodle, ind) => {
							return (
								<Doodle categoryImage={`${config.ocassionPageImageurl + doodle.imgname}`} mainClass = {styles.occassionpage_doodle} categoryName={doodle.imagename} title={doodle.imagename} alt={''} key={ind} categoryLink={doodle.imageurl} />
							)
						})
						}
					</Grid>
				</>
				:
				<>
				</>
			}
			{(props.apiData.pageLayout[8][0].data.length > 0) ?
				<>
					<div className={`${styles.subheading} occasion_page_headings occasion-page-headings`}>
						<div className={styles.catchoiceheading}>
							<h1>{props.apiData.pageLayout[8][0].title}</h1>
							
						</div>
						<p>{props.apiData.pageLayout[8][0].heading}</p>
					</div>
					<Grid container className={styles.occassion_category_card}>
						{props.apiData.pageLayout[8][0].data.map((doodle, ind) => {
							return (

								<CategoryOccasionCard CatImage={`${config.ocassionPageImageurl + doodle.imgname}`} CatName={doodle.imagename} title={doodle.imagename} alt={''}  key={ind} categoryLink={doodle.imageurl} />
							)
						})
						}
					</Grid>
				</>
				:
				<>
				</>
			}
			{(props.apiData.pageLayout[9][0].data.length > 0) ?
				<>
					<div className={styles.worldwide}>
						<div className={`${styles.subheading} occasion_page_headings occasion-page-headings`}>
							<div className={`${styles.catchoiceheading} occasion_page_headings occasion-page-headings`}>
								<h1>{props.apiData.pageLayout[9][0].title}</h1>
								
							</div>
							 <p>{props.apiData.pageLayout[9][0].heading}</p> 
						</div>
						<Grid container className={styles.worldwidecont}>
							{props.apiData.pageLayout[9][0].data.map((doodle, ind) => {
								return (
									<Worldwide worldwideimg={`${config.ocassionPageImageurl + doodle.imgname}`} coutryname={doodle.imagename} categoryLink={doodle.imageurl} title={doodle.imagename} alt={''} key = {ind} />
								)
							})
							}

						</Grid>
					</div>
				</>
				:
				<>
				</>
			}

		</>
	)
}