import React, { useState, useEffect, AwesomeSlider } from 'react';
import Grid from '@material-ui/core/Grid';
import Navbar from '../components/Navbar/Navbar';
import Footer from '../components/Footer/Footer';
import config from "../config/config";
import Head from 'next/head';
import Breadcrumb from '../components/Component/Breadcrumbs'

export default function About({ currentCurrency, AllCurrencyData, GeoData, selectedCountryFlag }) {

  return (
    <>
      <Head>
        <title>About Us - 1800rakhis</title>
        <link rel="canonical" href="https://1800rakhis.com/about"/>
      </Head>

      <Navbar countryId={''} currentCurrency={currentCurrency} AllCurrencyData={AllCurrencyData} GeoData={GeoData} selectedCountryFlag={selectedCountryFlag} />
      <Breadcrumb rootbreadcrumbtext='About' rootbreadcrumblink = '' countryId='' breadcrumbtext = '' selectedCountryFlag={selectedCountryFlag} />
      <Grid item md={12} sm={12} xs={12}>
        <Grid container className='about-container'>
          <div>
            <h2>About</h2>

            <p>{"Welcome to 1800rakhis your number one destination for gift and rakhi delivery worldwide. We're dedicated to giving you the very best gift delivery experience, with a focus on timely delivery, 24 hours chat support and exclusive gifts range."}</p>

            <p>{"1800rakhis has come a long way from its beginnings in Noida, IN. When our small team first started out, their passion for gift delivery to loved ones staying far from each other drove them to do tons of research so that 1800rakhis can offer you the best rakhi & gift delivery website. We now serve customers all over the world, and are thrilled that we're able to turn our passion into the best gift delivery portal to help our customers."}</p>

            <p>{"We hope you enjoy our products as much as we enjoy offering them to you.If you have any questions or comments, please don't hesitate to contact us."}</p>
          </div>

          <div className='about-bottom'>
            <h5>Sincerely,</h5>
            <p>Team 1800rakhis</p>
          </div>
        </Grid>
      </Grid>
      <Footer />

    </>

  )
}



export async function getServerSideProps(context) {
 var selectedCountryFlag = ''
 if(typeof (context.req.cookies.FlagData) !== 'undefined'){
	 var selectedCountryFlagID =  JSON.parse(context.req.cookies.FlagData)
	 var selectedCountryFlag =  selectedCountryFlagID.id
 }else{
	var selectedCountryFlag  = '2'; 
 }
 
  if (typeof (context.req.cookies.CurrencyData) !== 'undefined') {
    var currentCurrency = JSON.parse(context.req.cookies.CurrencyData)
    var AllCountryData = JSON.parse(context.req.cookies.AllCountryData)
    var GeoData = JSON.parse(context.req.cookies.GeoData)
  } else {
    const forwarded = context.req.headers["x-forwarded-for"]
    const ip = forwarded ? forwarded.split(/, /)[0] : context.req.connection.remoteAddress
    const res = await fetch(`${config.apiUrl}setcurrency/?ip=${ip}`);

    var geoapiresponse = await res.json();

    var currentCurrency = geoapiresponse.current_currency
    var AllCountryData = geoapiresponse.all_currency
    var GeoData = geoapiresponse.GeoData
  }
  return {
    props: {
      currentCurrency: currentCurrency, AllCurrencyData: AllCountryData, GeoData: GeoData, selectedCountryFlag:selectedCountryFlag
    }
  }

}