import { useRouter } from 'next/router';
import mysql from 'serverless-mysql';
import config from '../../../../config/config'
import bcrypt from 'bcrypt';


export default async function handler(req, res) {
	const saltRounds = 10;
	var ContactName  	= req.body.ContactName
	var ContactEmail 	= req.body.ContactEmail
	var pwd 		= req.body.pwd
	var ContactId 		= req.body.ContactId
	var hashes = bcrypt.hashSync(pwd, saltRounds);	
	
	const db = mysql({
		config: {  
			host: process.env.DB_HOST,   
			port: process.env.DB_PORT,  
			database: process.env.DB_DATABASE, 
			user: process.env.DB_USER, 
			password: process.env.DB_PASSWORD  
		}
	})
	
	try {
		
		var sql = `UPDATE Customers SET CustomerName = ?,CustomerEmail = ?`
		//var sql = `UPDATE Customers SET CustomerName = '${ContactName}',CustomerEmail = '${ContactEmail}'`
		
		var arr = [ContactName,ContactEmail];
		
		if(pwd){
			//sql += `,CustomerPassword = '${hashes}'`
			sql += `,CustomerPassword = ? `

			arr.push(hashes)
		}
		
		sql +=   `WHERE CustomerID = ?`
		arr.push(ContactId)

		var sqldata = [];
		sqldata.push(arr)
		
		
		let results = await db.query(sql,[sqldata])
		await db.end()	
		res.status(200).send({ 'CODE':200 ,'msg': 'Customer updated',sql })
		
	}
	catch (err) {
		res.status(200).send({ 'CODE':500 ,'msg': 'failed to fetch data',err,sql })
	}
  
	
	

}