const nodeCCAvenue = require('node-ccavenue');
import config from '../../../../../config/config';
const hbs = require('nodemailer-express-handlebars')
const nodemailer = require('nodemailer')
const path = require('path')
import mysql from 'serverless-mysql';

export default async function handler(req, res) {
		var orderstatusid = '';
		var orderitemstatus = '';
		var orderdata = [];
		var orderItemsData = [];
		const ccav = new nodeCCAvenue.Configure({
			merchant_id: process.env.CCAVENUE_MERCHANTID,
			working_key: process.env.CCAVENUE_WORKINGKEY,
		})
		const db = mysql({
			config: {
				host: process.env.DB_HOST,
				port: process.env.DB_PORT,
				database: process.env.DB_DATABASE,
				user: process.env.DB_USER,
				password: process.env.DB_PASSWORD
			}
		})
		const { encResp } = req.body;   
	if (req.method === "POST") {
		if(encResp){
			var decryptedData = ccav.redirectResponseToJson(encResp);
			console.log('decryptedData',decryptedData)
			var orderid = decryptedData.order_id
			var orderstatus = decryptedData.order_status
			if(orderstatus === 'Success'){
				orderstatusid = '12';
				orderitemstatus = '14'
			}else if(orderstatus === 'Failure'){
				orderstatusid = '11'
				orderitemstatus = '13'
			}else if(orderstatus === 'Aborted'){
				orderstatusid = '2'
				orderitemstatus = '7'
			}else if(orderstatus === 'Invalid'){
				orderstatusid = '15'
				orderitemstatus = '16'
			}
			if(orderid){
				
				var checklogingsql = "select TransactionEnabledLog from enable_orders_logging where PaymentGatewayNo = 3";
				var checklogingsqlresults  = await db.query(checklogingsql)
				if(checklogingsqlresults.length > 0 ){
					if(checklogingsqlresults[0].TransactionEnabledLog == '1'){
						var logsqldata= []	
							logsqldata.push('3')
							logsqldata.push(orderid)
							logsqldata.push(JSON.stringify(decryptedData))
							logsqldata.push('')
							var savelogsql = "Insert into payment_logs (`PyamentMethodNo`, `OrderNo`, `PaymentResponse`, `TransactionId`) VALUES (? , ?, ? ,?)"
							var  savelogsqlresults  = await db.query(savelogsql,logsqldata)
					}
				}
				
				var updateqry = "UPDATE `orders` SET `OrderCurrentStatus`='"+orderstatusid+"' WHERE `OrderId`='"+orderid+"'";
				var result  = await db.query(updateqry);
				
				var updateitemqry = "UPDATE `order_items` SET OrderItemStatusNo='"+orderitemstatus+"' WHERE OrderNo='"+orderid+"'";
				var result1  = await db.query(updateitemqry);
				
				
					var sql = "SELECT CustomerName,CustomerLastname,CustomerEmail,OrderStatusName,payment_methods.PaymentMethodName,oab.*,orders.*,DATE_FORMAT(orders.OrderDate,'%d %b %Y') as od,DATE_FORMAT(orders.OrderDeliveryDate,'%d %b %Y') as del_date ,dcm.CountryName,(SELECT SUM(ItemGiftWrappingCharges) as gw  FROM `order_items` where OrderNo = '"+orderid+"' group by OrderNo) as giftwrappingcharges FROM orders left join Customers on CustomerID = CustomerNo  left join order_status on OrderStatusId = OrderCurrentStatus  left join orders_addres_book as oab on oab.OrderNo = orders.OrderId left join delivery_coutries_master dcm on oab.CustomerOrderShippingCountryNo = dcm.CountryId left join payment_methods on PaymentId = orders.OrderPaymentGateway where OrderId ='"+orderid+"'"
					orderdata  = await db.query(sql);
					
					var itemsql = "select * from ( SELECT order_items.*,(order_items.ProductUnitrPrice * order_items.OrderItemQty) as itemqtyTotal,VendorName, VendorLastName,VendorEmail,VendorPhone,VendorLogo,OrderStatusId,OrderStatusName,  CONCAT('"+config.callBackUrl+"adminapi/uploads/products', '/',product_media.ProductSmallImage) as image,orders.OrderCurrentCurrSymbol FROM order_items left join vendors on OrderItemVendorNo = VendorId left join order_status on OrderItemStatusNo = OrderStatusId left join product_media on product_media.ProductNo = order_items.ProductNo LEFT JOIN orders ON orders.OrderId=order_items.OrderNo where order_items.OrderNo = '"+orderid+"' and ProductMediaNo = 1 and OrderItemIsAddon = 0 union all SELECT order_items.*,(order_items.ProductUnitrPrice * order_items.OrderItemQty) as itemqtyTotal,VendorName, VendorLastName,VendorEmail,VendorPhone,VendorLogo,OrderStatusId,OrderStatusName,CONCAT('"+config.callBackUrl+"adminapi/uploads/addons', '/',ap.AddonImage) as image,orders.OrderCurrentCurrSymbol FROM order_items left join vendors on OrderItemVendorNo = VendorId left join order_status on OrderItemStatusNo = OrderStatusId left join addon_products ap on ap.AddonProductSku = order_items.orderitemproductsku LEFT JOIN orders ON orders.OrderId=order_items.OrderNo where order_items.OrderNo ='"+orderid+"' and OrderItemIsAddon = 1 ) as x where x.image is not null"

					orderItemsData  = await db.query(itemsql);
					
					var statussql = "SELECT EmailEnabled,EmailTemplate,EmailSubject from  order_status where OrderStatusId = "+orderstatusid
				    var statusresult  = await db.query(statussql);
					
					var OrderCurrentStatus = orderdata[0].OrderCurrentStatus;
					var OrderNo = orderdata[0].OrderNo;
					var toEmail = orderdata[0].CustomerOrderBillingEmail;
					var customerName = orderdata[0].CustomerOrderBillingFirstName+' '+orderdata[0].CustomerOrderBillingLastName;
					
					if(statusresult.length > 0){
						if(statusresult[0].EmailEnabled == '1' && statusresult[0].EmailTemplate != '' && statusresult[0].EmailSubject){
							var emailsubject = '';
							var templatename = statusresult[0].EmailTemplate
							if(statusresult[0].EmailSubject){
								emailsubject  = statusresult[0].EmailSubject.replace("<OrderNo>", OrderNo);
							}
							var transporter = nodemailer.createTransport(
								{
									port: process.env.SmtpPort,
									secure: true,
									host: process.env.SmtpHost,
									auth:{
										user: process.env.SmtpUser,
										pass: process.env.SmtpPassword
									},
									from: process.env.SmtpUser
								}
							);
							const handlebarOptions = {
								viewEngine: {
									partialsDir: path.resolve('./emailslayout/'),
									defaultLayout: false,
								},
									viewPath: path.resolve('./emailslayout/'),
							};
							transporter.use('compile', hbs(handlebarOptions));
							var mailOptions = {
								from: process.env.SmtpUser,
								to: toEmail,
								subject: emailsubject,
								template: templatename,
								context:{
									track_order: '',
									img_url: '',
									product_img_url: '',
									orderData: orderdata[0],
									orderItemData: orderItemsData,
									name: customerName,
									company: 'My Company'
								},
							}
							transporter.sendMail(mailOptions, async function(error, info){
								if(error){}else{}
							})
							
						}
						
					}
					if(orderstatus === 'Success'){
						return res.redirect('https://1800rakhis.com/thankyou/?id='+orderid);
					}else{
						return res.redirect('https://1800rakhis.com/cart/checkout');
					}
					
				
			}
			else{
				return res.redirect('https://1800rakhis.com');
			}
		}
		else{
			return res.redirect('https://1800rakhis.com');
		}
	}
	else{
		return res.redirect('https://1800rakhis.com');
	}
	
}