import React, { useState, useEffect } from 'react';
import Footer from '../../components/Footer/Footer';
import Navbar from "../../components/Navbar/Navbar";
import Head from 'next/head';
import config from '../../config/config';
import styles from './Signinstyle/Orders.module.css';
import Grid from '@material-ui/core/Grid';
import Image from 'next/image'
import { makeStyles } from '@material-ui/core/styles';
import Accordion from '@material-ui/core/Accordion';
import AccordionDetails from '@material-ui/core/AccordionDetails';
import AccordionSummary from '@material-ui/core/AccordionSummary';
import Typography from '@material-ui/core/Typography';
import ExpandMoreIcon from '@material-ui/icons/ExpandMore';
import { useSession, getSession, signIn, signOut } from "next-auth/react";

const useStyles = makeStyles((theme) => ({
    // root: {
    //     width: '1220px',
    //     margin: '40px auto',

    // },
    heading: {
        fontSize: theme.typography.pxToRem(15),
        flexBasis: '33.33%',
        flexShrink: 0,
    },
    secondaryHeading: {
        fontSize: theme.typography.pxToRem(15),
        color: theme.palette.text.secondary,
    }
}));

export default function Orders({ currentCurrency, AllCurrencyData, GeoData, selectedCountryFlag }) {
    // const [loading, setloading] = useState(true)
    const classes = useStyles();
    const [expanded, setExpanded] = React.useState(false);
    const [PageNo, setPageNo] = useState(1);
    const [Email, setEmail] = useState('');
    const [Orders, setOrders] = useState([]);
    const [OrdersNew, setOrdersNew] = useState([]);

    var oldodid = '';

    useEffect(async () => {

        var session = await getSession()
        if (!session) {
            signIn()
        } else {
            getOrers()
        }
        
    }, [])
    const handleChange = (panel) => (event, isExpanded) => {
        setExpanded(isExpanded ? panel : false);
    };

    async function getOrers() {
        var session = await getSession()

        var email = session.user.email
        //var email = 'neetukanwal5@gmail.com'
        setEmail(email)

        setPageNo(1)
        var url = `${config.apiUrl}auth/getorders/?id=${email}&pageno=${PageNo}`
        const res = await fetch(url)
        const response = await res.json();
        setOrdersNew(response.data)
        setOrders(response.data);
    }

    return (
        <>
            {/* {(loading) ?
				<>
					<span className="ew-guest-loder align-items-center justify-content-center d-flex w-100 ">
						<img
							src='/loading.gif' className="loader" alt="loader"
						/>
					</span>
				</>
				: */}
            <>
                <div className='maincointainer' key='div1'>
                    <Head>
                        <title>Orders - 1800rakhis</title>
                    </Head>
                    <div className='somehideflag'>
                        <Navbar countryId={''} currentCurrency={currentCurrency} AllCurrencyData={AllCurrencyData} GeoData={GeoData} selectedCountryFlag={selectedCountryFlag} />
                    </div>
                    <div className={styles.ordertopwrap}>
                        <h1>My Orders</h1>
                    </div>
                    <div className={styles.ordercontainerall}>
                        <div className={classes.root}>
                            <Grid container>
                                <Grid item md={12} sm={12} xs={12}>

                                    {Orders.length > 0 ?
                                        <>
                                            {Orders.map((nitem, indx) => {
                                                var sameorder = false;
                                                var AccSameOrder = false;

                                                if (oldodid === nitem.OrderId) {
                                                    sameorder = true
                                                } else {
                                                    oldodid = nitem.OrderId
                                                }

                                                const founddata = OrdersNew.filter(obj => {
                                                    return obj.OrderId === nitem.OrderId;
                                                });

                                                return (
                                                    <>
                                                        <Accordion expanded={expanded === nitem.OrderId} onChange={handleChange(nitem.OrderId)}>
                                                            {nitem.OrderItemIsAddon == '0' && !sameorder &&
                                                                <>
                                                                    <AccordionSummary
                                                                        expandIcon={<ExpandMoreIcon />}
                                                                        aria-controls="panel1bh-content"
                                                                        id="panel1bh-header"
                                                                    >
                                                                        <Typography className={classes.heading}><div className={styles.orderno}><h2>Order No:<p>{nitem.OrderNo}</p></h2></div></Typography>

                                                                        <Typography className={classes.secondaryHeading}>
                                                                            <div className={styles.gtotal}>
                                                                            <h2>Date:<p>
                                                                                <span>
                                                                            
                                                                        </span>{nitem.oddate}</p></h2></div></Typography>
                                                                        <Typography className={classes.secondaryHeading}>
                                                                            <div className={styles.gtotal}>
                                                                            <h2>Discount:<p>
                                                                                <span>
                                                                            {nitem.OrderCurrentCurrSymbol}
                                                                        </span>{nitem.OrderDiscount}</p></h2></div></Typography>

                                                                        <Typography className={classes.secondaryHeading}><div className={styles.gtotal}><h2>Grand Total:<p><span>
                                                                            {nitem.OrderCurrentCurrSymbol}
                                                                        </span>{nitem.OrderGrandTotal}</p></h2></div></Typography>
                                                                    </AccordionSummary>


                                                                </>
                                                            }

                                                            {!sameorder ?
                                                                <>
                                                                    {founddata.map((item, indx) => {
                                                                        if (nitem.OrderId === item.OrderId) {
                                                                            return (
                                                                                <AccordionDetails className={styles.accordwrapper}>
                                                                                    <Typography>
                                                                                        <div className={styles.orderdetailcantoninerlist}>
                                                                                            <div className={styles.orderinne}>
                                                                                                <div className={styles.imagecont}>
                                                                                                    <Image src={item.image} width="100" height="100" />
                                                                                                </div>
                                                                                                <div className={styles.orderdtwrap}>
                                                                                                    <div className={styles.orderdetailsec}>
                                                                                                        <div className={styles.topitemnm}>
                                                                                                            <div className={styles.itemnametp}>
                                                                                                                <h3>{item.ProductName}</h3>
                                                                                                                {item.OrderItemIsAddon == '1' &&
                                                                                                                    <>
                                                                                                                        <span className='addon_adm'>Addon</span>
                                                                                                                    </>
                                                                                                                }
                                                                                                            </div>

                                                                                                            <div className={styles.itemsku}>
                                                                                                                <h3>{item.OrderItemProductSku}      {(() => {

if (item.OrderStatusName == 'Pending') {
    return (
        <span className={styles.orderstatusc} style={{ color: '#ff6c00' }}>({item.OrderStatusName})</span>
    )
}
if (item.OrderStatusName == 'Cancelled') {
    return (
        <span className={styles.orderstatusc} style={{ color: 'Red' }}>({item.OrderStatusName})</span>
    )
}
if (item.OrderStatusName == 'Delivered') {
    return (
        <span className={styles.orderstatusc} style={{ color: 'Green' }}>({item.OrderStatusName})</span>
    )
}
if (item.OrderStatusName == 'Shipped') {
    return (
        <span className={styles.orderstatusc} style={{ color: '#ac43f4' }}>({item.OrderStatusName})</span>
    )
}
if (item.OrderStatusName == 'Processing') {
    return (
        <span className={styles.orderstatusc} style={{ color: '#9b5e1c' }}>({item.OrderStatusName})</span>
    )
}
if (item.OrderStatusName == 'Payment Failed') {
    return (
        <span className={styles.orderstatusc} style={{ color: '#ff6c00' }}>({item.OrderStatusName})</span>
    )
}
if (item.OrderStatusName == 'Order Placed') {
    return (
        <span className={styles.orderstatusc} style={{ color: '#ff6c00' }}>({item.OrderStatusName})</span>
    )
}
})()}</h3>
                                                                                                            </div>
                                                                                                        </div>
                                                                                                    </div>

                                                                                                    <div className={styles.orderdtwrapinner}>
                                                                                                        <div className={styles.rowqty}>

                                                                                                            <div className={styles.ordersame}>
                                                                                                                <h3>Qty:</h3>
                                                                                                                <p>{item.OrderItemQty} <span>Nos</span></p>
                                                                                                            </div>
                                                                                                            <div className={styles.ordersame}>
                                                                                                                <h3>Wrapping Charges:</h3>
                                                                                                                <p>
                                                                                                                    <span>
                                                                                                                        {item.OrderCurrentCurrSymbol}
                                                                                                                    </span>
                                                                                                                    {item.ItemGiftWrappingCharges}</p>
                                                                                                            </div>
                                                                                                        </div>
                                                                                                        <div className={styles.order_row}>
                                                                                                            <div className={styles.ordersame}>
                                                                                                                <h3>Price</h3>
                                                                                                                <p><span>
                                                                                                                    {item.OrderCurrentCurrSymbol}
                                                                                                                </span> {item.ProductUnitrPrice}</p>
                                                                                                            </div>

                                                                                                            {item.OrderItemIsAddon == '0' &&

                                                                                                                <div className={styles.ordersame}>
                                                                                                                    <h3>Delivery Date:</h3>
                                                                                                                    <p>{item.ProductDeldate} </p>
                                                                                                                </div>
                                                                                                            }

                                                                                                        </div>

                                                                                                        <div className={styles.order_row}>
                                                                                                            <div className={styles.ordersame}>
                                                                                                                <h3>Total</h3>
                                                                                                                <p><span>
                                                                                                                    {item.OrderCurrentCurrSymbol}
                                                                                                                </span>{item.itemtotal}</p>
                                                                                                            </div>
                                                                                                            <div className={styles.ordersame}>
                                                                                                                <h3>Delivery Charges:</h3>
                                                                                                                <p><span>
                                                                                                                    {item.OrderCurrentCurrSymbol}
                                                                                                                </span>{item.OrderProductDeliveryCharges}</p>
                                                                                                            </div>

                                                                                                        </div>
                                                                                                        <div className={styles.order_row}>
                                                                                                            {item.OrderItemIsAddon != 1 ?
                                                                                                                <div className="order_status order_cakemssgrow">
                                                                                                                    <div className={styles.ordersame}>
                                                                                                                        <h3>Cake Message:</h3>
                                                                                                                        <p>{item.CakeMessage}</p>
                                                                                                                    </div>
                                                                                                                </div>
                                                                                                                :

                                                                                                                <></>
                                                                                                            }
                                                                                                            <div className={`${styles.ordersame} ${styles.gtotalodr}`}>
                                                                                                                <h3>Grand Total:</h3>
                                                                                                                <p><span>
                                                                                                                    {item.OrderCurrentCurrSymbol}
                                                                                                                </span>{item.GrandTotal}</p>
                                                                                                            </div>
                                                                                                        </div>
                                                                                                    </div>
                                                                                                </div>
                                                                                            </div>
                                                                                        </div>
                                                                                    </Typography>
                                                                                </AccordionDetails>
                                                                            )
                                                                        }

                                                                    })}
                                                                </>
                                                                :
                                                                <></>
                                                            }


                                                        </Accordion>
                                                    </>
                                                )
                                            })}
                                        </>
                                        :

                                        <></>
                                    }
                                </Grid>
                            </Grid>
                        </div>
                    </div>

                    <Footer footerdata={''} />
                </div>
            </>

            {/* } */}
        </>
    )

}

export async function getServerSideProps(context) {
    var selectedCountryFlag = ''
    if (typeof (context.req.cookies.FlagData) !== 'undefined') {
        var selectedCountryFlag = context.req.cookies.FlagData
    }
    if (typeof (context.req.cookies.CurrencyData) !== 'undefined') {
        var currentCurrency = JSON.parse(context.req.cookies.CurrencyData)
        var AllCountryData = JSON.parse(context.req.cookies.AllCountryData)
        var GeoData = JSON.parse(context.req.cookies.GeoData)
    } else {
        const forwarded = context.req.headers["x-forwarded-for"]
        const ip = forwarded ? forwarded.split(/, /)[0] : context.req.connection.remoteAddress
        const res = await fetch(`${config.apiUrl}setcurrency/?ip=${ip}`);
        var geoapiresponse = await res.json();

        var currentCurrency = geoapiresponse.current_currency
        var AllCountryData = geoapiresponse.all_currency
        var GeoData = geoapiresponse.GeoData
    }

    return {
        props: {
            currentCurrency: currentCurrency, AllCurrencyData: AllCountryData, GeoData: GeoData, selectedCountryFlag: selectedCountryFlag
        }
    }
}

