import Link from "next/link";
import "react-multi-carousel/lib/styles.css";
import Grid from '@material-ui/core/Grid';
import { makeStyles } from "@material-ui/core/styles";
import Footer from '../../components/Footer/Footer';
import Navbar from '../../components/Navbar/Navbar';
import Button from '@mui/material/Button'
import Breadcrumbs from '@material-ui/core/Breadcrumbs';
import "react-multi-carousel/lib/styles.css";
import React, { useState, useEffect } from 'react'
import { useSession, getSession, signIn, signOut } from "next-auth/react";
import config from '../../config/config';
import LoginCheckout from '../../layouts/LoginCheckout';
import GuestCheckout from '../../layouts/GuestCheckout';

function handleClick(event) {
	event.preventDefault();
}

export default function Checkout({ currentCurrency, AllCurrencyData, GeoData }) {
	const { data: session } = useSession();
	const [CustomerEmail, setCustomerEmail] = useState('');
	const [loading, setloading] = useState(true)
	var email = ''
	useEffect(() => {
		const securepage = async () => {
			const session = await getSession()
			if (!session) {

			} else {
				setloading(false)
				var email = session.user.email
				await setCustomerEmail(email)
			}
		}
		securepage()
	}, [])

	return (
		<>
			<div className="somehideflag">
				<Navbar countryId={'2'} currentCurrency={currentCurrency} AllCurrencyData={AllCurrencyData} GeoData={GeoData} />
			</div>
			<div className="checkoutouterwrap" >
				{(session) ?
					<LoginCheckout currentCurrency={currentCurrency} AllCurrencyData={AllCurrencyData} GeoData={GeoData} />
					:
					<GuestCheckout currentCurrency={currentCurrency} AllCurrencyData={AllCurrencyData} GeoData={GeoData} />
				}

			</div>

			<Footer />


		</>
	)

}

export async function getServerSideProps(context) {
	if (typeof (context.req.cookies.CurrencyData) !== 'undefined') {
		var currentCurrency = JSON.parse(context.req.cookies.CurrencyData)
		var AllCountryData = JSON.parse(context.req.cookies.AllCountryData)
		var GeoData = JSON.parse(context.req.cookies.GeoData)
	} else {
		const forwarded = context.req.headers["x-forwarded-for"]
		const ip = forwarded ? forwarded.split(/, /)[0] : context.req.connection.remoteAddress
		const res = await fetch(`${config.apiUrl}setcurrency/?ip=${ip}`);
		var geoapiresponse = await res.json();

		var currentCurrency = geoapiresponse.current_currency
		var AllCountryData = geoapiresponse.all_currency
		var GeoData = geoapiresponse.GeoData
	}
	return {
		props: {
			currentCurrency: currentCurrency, AllCurrencyData: AllCountryData, GeoData: GeoData
		}
	}
}