import React, { useState, useEffect } from 'react';
import Grid from '@material-ui/core/Grid';
import Navbar from '../components/Navbar/Navbar';
import Footer from '../components/Footer/Footer';
import Link from "next/link";
import Offer from '../components/Component/Offers';
import config from "../config/config";
import Worldwide from '../components/Component/worldwide';
import SendAbroad from '../components/Component/SendAbroad'
import Head from "next/head";
import Breadcrumb from '../components/Component/Breadcrumbs'

export default function Offers({ currentCurrency, AllCurrencyData, GeoData, selectedCountryFlag }) {
	const [CouponList, setCouponList] = useState([])
	const [NoOffers, setNoOffers] = useState(false)
	const [offersLoading, setoffersLoading] = useState(true)
	useEffect(() => {
		getCoupons()
	}, [selectedCountryFlag])

	async function getCoupons() {
		setCouponList([])
		var url = `${config.apiUrl}offers/?cid=${selectedCountryFlag}`
		const res = await fetch(url)
		const data = await res.json()
		setoffersLoading(false)
		if(data.length > 0){
			setCouponList(data)
			setNoOffers(false)
		}else{
			setCouponList(data)
			setNoOffers(true)
			setNoOffers(true)
		}
		
		
	}


	return (
		<>
			<Head>
				<title>Offers - 1800rakhis</title>
				<link rel="canonical" href="https://1800rakhis.com/offers"/>
			</Head>
			<Navbar countryId={''} currentCurrency={currentCurrency} AllCurrencyData={AllCurrencyData} GeoData={GeoData} selectedCountryFlag={selectedCountryFlag}/>
			<Breadcrumb proclass="" rootbreadcrumbtext='Offers' rootbreadcrumblink = '' countryId='' breadcrumbtext = '' selectedCountryFlag={selectedCountryFlag}/>
			<Grid item md={12} sm={12} xs={12}>
				<Grid container className='offer-section'>

					<Grid container className='offer_boxes'>
						{(!NoOffers && !offersLoading) ?
							<>
								{(CouponList).map((item, index) => {
									return (
										<>
											<Offer CouponTitle={`${item.CouponName}`} CouponCode={`${item.CouponName}`} CouponDetail={`${item.CouponDescription}`} Couponminimumcarttotal={`${item.MinimumCartTotal}`} CurrencySymbol={currentCurrency.CurrencySymbol} CurrencyRate={currentCurrency.CurrencyRate} CouponType={item.Coupontype} />
										</>
									)
								})}
							</>
							:
							(!offersLoading && NoOffers) ? 
								<>
									<p className='nocouponavail'>No Offers Available</p>
								</>
								:
								<>
								</>
						}
					</Grid>
				</Grid>
			</Grid>


			<div className='pagenotfound_worldwide'>
				<div className='cat-heading'>
					<div className='catchoiceheading'>
						<h2>Send Gifts<span> Worldwide</span></h2>
					</div>
				</div>
				<SendAbroad />
			</div>


			<Footer footerdata='' />

		</>

	)
}



export async function getServerSideProps(context) {
	var selectedCountryFlag = ''
 if(typeof (context.req.cookies.FlagData) !== 'undefined'){
	 var selectedCountryFlagID =  JSON.parse(context.req.cookies.FlagData)
	 var selectedCountryFlag =  selectedCountryFlagID.id
 }else{
	var selectedCountryFlag  = '2'; 
 }


	if (typeof (context.req.cookies.CurrencyData) !== 'undefined') {
		var currentCurrency = JSON.parse(context.req.cookies.CurrencyData)
		var AllCountryData = JSON.parse(context.req.cookies.AllCountryData)
		var GeoData = JSON.parse(context.req.cookies.GeoData)
	} else {
		const forwarded = context.req.headers["x-forwarded-for"]
		const ip = forwarded ? forwarded.split(/, /)[0] : context.req.connection.remoteAddress
		const res = await fetch(`${config.apiUrl}setcurrency/?ip=${ip}`);
		var geoapiresponse = await res.json();
		var currentCurrency = geoapiresponse.current_currency
		var AllCountryData = geoapiresponse.all_currency
		var GeoData = geoapiresponse.GeoData
	}
	return {
		props: {
			currentCurrency: currentCurrency, AllCurrencyData: AllCountryData, GeoData: GeoData, selectedCountryFlag:selectedCountryFlag
		}
	}

}