import React from 'react';
import Grid from '@material-ui/core/Grid';
import Navbar from '../components/Navbar/Navbar';
import Footer from '../components/Footer/Footer';
import config from "../config/config";
import Head from 'next/head';
import Breadcrumb from '../components/Component/Breadcrumbs'

export default function Shippingpolicy({ currentCurrency, AllCurrencyData, GeoData, selectedCountryFlag }) {

    return (
        <>
            <Head>
                <title>Shipping Policy - 1800rakhis</title>
            </Head>

            <Navbar countryId={''} currentCurrency={currentCurrency} AllCurrencyData={AllCurrencyData} GeoData={GeoData} selectedCountryFlag={selectedCountryFlag} />
            <Breadcrumb proclass="" rootbreadcrumbtext='Privacy' rootbreadcrumblink = '' countryId='' breadcrumbtext = '' selectedCountryFlag={selectedCountryFlag}/>
            <Grid item md={12} sm={12} xs={12}>

                <Grid container className='policy-container'>
                    <div className="shippingpol">
                        <h2>Shipping-Policy</h2>

                        <h4>Indian Orders :</h4>
                        <p>Sameday Delivery using our delivery partners. (9am to 9pm)</p>
                        <h4>International Orders :</h4>
                        <p><strong>USA :</strong> Sameday Hand delivery and 3 Day Delivery through USPS.</p>
                        <p><strong>Australia :</strong> Sameday Hand delivery and 4 Day Delivery through Australia Post.</p>
                        <p><strong>Canada :</strong> Sameday Hand delivery and 3 Day Delivery through Canada Post</p>
                        <p><strong>UK :</strong> Next Day Delivery through Royal Mail.</p>
                        <br />
                        <p>{'Tracking links will be shared for orders sent through Courier Partners'}</p>
                        
                    </div>


                </Grid>

            </Grid>

            <Footer />


        </>

    )
}

export async function getServerSideProps(context) {
    var selectedCountryFlag = ''
    if(typeof (context.req.cookies.FlagData) !== 'undefined'){
        var selectedCountryFlagID =  JSON.parse(context.req.cookies.FlagData)
        var selectedCountryFlag =  selectedCountryFlagID.id
    }else{
       var selectedCountryFlag  = '2'; 
    }
    if (typeof (context.req.cookies.CurrencyData) !== 'undefined') {
        var currentCurrency = JSON.parse(context.req.cookies.CurrencyData)
        var AllCountryData = JSON.parse(context.req.cookies.AllCountryData)
        var GeoData = JSON.parse(context.req.cookies.GeoData)
    } else {
        const forwarded = context.req.headers["x-forwarded-for"]
        const ip = forwarded ? forwarded.split(/, /)[0] : context.req.connection.remoteAddress
        const res = await fetch(`${config.apiUrl}setcurrency/?ip=${ip}`);
        var geoapiresponse = await res.json();

        var currentCurrency = geoapiresponse.current_currency
        var AllCountryData = geoapiresponse.all_currency
        var GeoData = geoapiresponse.GeoData
    }
    return {
        props: {
            currentCurrency: currentCurrency, AllCurrencyData: AllCountryData, GeoData: GeoData, selectedCountryFlag:selectedCountryFlag
        }
    }
}